m9P Database™ Help

m9P Database™ is a professional database builder and manager for home and business. While being easy-to-use, the product is powerful and capable of creating databases that can be used for a wide range of needs. Whether you want to keep a simple list of contacts’ info, or you want to build secure and complex database structure for inventory tracking, m9P Database™ is suitable for the task.

This user-friendly program controls all aspects of database use, from creation to ongoing management. m9P Database™ helps to successfully manage database needs, such as updates and backups. m9P Database™ allows for multiple users, which meets the requirements of use in small businesses. Each database is secured by a password and by users' privileges which enhances database security. This program has also built-in transactional support, allowing the user to roll back the database to a specific time period.

m9P Database™ has a variety of useful and unique features. Among these are the ability to export a database for use on a Web site and logging of all database activities to a file. This program is available for 30-day trial version. Full version is priced only $69.89. Purchasing m9P Database™ is safe and secure. We use Secure Socket Layer (SSL) to protect the security of your credit card information.


Creating Databases

To create a new database, log on to m9P Database™ with a user name and password. You will be prompted if you want to create a new database, press “Create New” button and a wizard appear. Any database you create will appear under your user name, so next time log on with the same user name and password to be able to open your database. The wizard is straightforward and includes its own integrated help system. It will help you to create databases, users, parent and child tables.

To view step by step detailed instructions, go to step by step guide link.


Step by Step Guide

Step 1: Run M9P Database™ and log in with your choice of a user name and password. Remember your user name and password, because they are the only way to later open the database that you are going to create now.

Step 2: The log in form will show you a "Create New" button. Press this button.

Step 3: A wizard appears. This wizard will help you through the process of creating your database. It has a "Help" button, use it whenever you need help on any of the steps of database creation. It has a "Cancel" button, use to go out of the wizard at anytime without making any changes. It has also a "Back", "Next", and "Finish" buttons. Press the "Next" button.

Step 4: Enter a name for your database, in the "Database Name" field. This field shows "DataBase1" as a default name. In the "Owner Full Name" field, enter your personal full name (not your user name) since you will be the owner of the database. It is necessary to enter your full name because by doing that you can in the future create other databases with other user names, however all of them will have in common your unchangeable personal name.

Step 5: (Optional) enter a password that will protect your database in "Database Password" field. You can give this password to any person that you wish to be able to view your database. That person can log with any user name and the database password and open the database for viewing only (, i.e. Read-Only). If you want that person to have higher permissions like writing and deleting then you need to create for that person a user (with a password) in your database (will be explained in a few steps). If you do not enter a yourself a database password, then by default the database will be given a password which is the same password you use it to log in at the beginning.

Step 6: In "Database's Audited Events" check boxes, you can check the events that will be written to the event log. The event log is a chronological file that can register all events that occurs from the moment of log on to the database to the moment of log out. There are 14 events to consider: "Log On", "Transaction", "Owner Change", "User Creation", "Table Creation", "Table Deletion", "Linked Table Creation", "Linked Table Deletion", "Tables Unlinking", "Tables Linking", "Record Addition", "Record Update", "Record Deletion", "Errors". Select which events you want them to be registered. For example, if you check "Log On" check box, then all users who log on to the database will be registered (time date name), if you check "Record Update" check box, then for all records that gets updated, the record key, the user, and time and date of the update gets registered.

Step 7: Press the "Browse" button to browse for the directory where you want to save your database.

Step 8: Press "Next" button to move on to step 2 of the wizard.


Step by Step Guide

Step 9: (Optional) Add users to your database. Your user name is added by default. to add another user, fill the "User Name" field with your choice of a user name. Give it a password in "Password" field. Enter the full name of the person for whom you are creating a user in your database. Enter the user description, for example, for what this user account will be used. Select the permission level for the user: Read (for only reading the database content), Rd/wr (for reading and writing to the database), Delete (for reading, writing, and deleting from the database). The "User Account Disabled" check box can be checked to disable the user account, i.e., user cannot open the database. Press "Add User" button to add the user to your database.

Step 10: Press Next to move to step 3 of the wizard.

Step 11: Add tables to your database. Enter a table name in "Table Name" field. By default, this field is filled with "Table1" as the table name.

Step 12: Specify how many columns (or fields) the table should contain. Select a number between 1 and 10 from "Number of Fields" combo box. Depending on the number you selected, fields will appear on the right. With these fields, you specify the table's columns names. By default, they are filled with "Field 1", "Field 2", ... . On the right of each field there is a check box. You check this check box if you want the corresponding field (or column) to be the primary key of the table. A primary key designate a unique value to identify a row in a table. By default, the first column is selected to be the key. Alternatively, you can select more than one column (up to 4) to be the key of the table. This completes the first table creation. If you want to create another table, press "Build Another Table" button and repeat the step for the second table.

Step 13: Press Next to move to step 4 of the wizard.

Step 14: (Optional) In this part of the wizard you can either create a new child (or linked) table, or link two tables together with foreign-primary key relationship. Note that a table can be both a child of one table and a parent of another. THE TABLE THAT WILL BE CONSIDERED AS PARENT IN THIS STEP IS THE TABLE THAT YOU'VE LASTELY CREATED OR SELECTED IN THE PREVIOUS STEP. To select another table as a parent, press "Back" button, click "Existing" tab of the wizard, and select on the right the table you want, then press Next to continue. Child (or linked) tables have the first field as primary key. This primary key would exist in another table as a foreign key. Such relationship would establish the linkage between two tables. To create a new child (or linked) table, select fields in parent table that you want to link tables to. These fields are represented by buttons that you can toggle and act as foreign keys for which there are primary keys in child tables. After selecting the fields, press "Build Linked Table(s)" button. Next, set the number of fields you want in the first child table (linked to the first selected foreign key in parent table). Then fill the fields names for this child and press "Create Linked Table" button. If you have selected in the parent more than one field to be a foreign key, set the number of fields of the second child table, fill fields names, and again press "Create Linked Table" button. Repeat this process for all foreign keys. To link two tables, click "Existing" tab on the wizard. Now select on the left lists the fields you want them to be foreign keys and on the right lists select their linked tables, then press "Build Field/Table link(s)" button. To work on another table press Back to go the previous step select another table from the "Existing" tab, then press Next to return to this step and repeat.

Step 15: Press Next then Finish to complete your database creation process.


Adding New Records

Step 1: Open RecordDisplayer form. You see 3 lists on the left. The lower left list displays your own databases (if you have created more than one).

Step 2: Select the database. The middle list displays the tables that form the selected database.

Step 3: Select the table that you want to add new records to from the middle list.

Step 4: Enter the record info in the designated text fields and press “Ctrl+A” keys to add the record to the table (It can be added also from the File menu or by pressing the Add button on the toolbar). In the upper left list, you’ll see the record key appears. This list displays all record keys that you add.

Step 5: (Optional) You can add an attachment to the record. This attachment can be a sound file, a movie file, a picture file, or a text file. Actually, you can add as many attachments as you want to a particular record. M9P Database™ can recognize automatically the format of the attachment and will display for it the appropriate icon in the right side list. You can click this icon and M9P Database™ will show it to you depending on its type. If it was a sound or a movie file then M9P Database™ will play it in the internal sound or movie player. If it was a picture or a text file, then it will be shown in picture viewer or text editor, respectively. To add an attachment, from File menu, select Attach to this Record or press “Attach” button on the toolbar. An Open dialog appears, browse for the file you want to attach, double-click it or press Open.

Step 6: (Optional) After adding many records, you can choose to sort these records by any column (field). From the File menu go to Management then to Sort By sub menu and select the column to sort by.


Using Transactions

You can use a transaction while working on a database. The transaction ensures that either all modifications performed on the database are committed to the database or none are committed. Transactional support allows you to roll back your database to a particular point of time (where the transaction begun). How does it work?

Step 1: Open a database with the RecordDisplayer.

Step 2: Press on the toolbar “Begin Transaction” button (looks like a traffic sign with green light).

Step 4: Make many database modifications, like adding new tables and records (or deleting tables or records).

Step 5: Now, you can choose to either commit (permanently write) all these modifications to the database or rollback the database to its original state before starting the transaction. To rollback, press “Abort Transaction” (the traffic sign with red light). To commit, press “Commit Transaction” (traffic sign with no lights on).


Backing up Databases

You are encouraged to back up your database from time to time. This is a very easy process in M9P Database™, just click back up from File/Management menu or from Options. M9P Database™ automatically restores a database from a back up file upon request and that by pressing Restore from File/Management or from Options.

Step 1: Log in to M9P Database™.

Step 2: Select Options from the Tools menu.

Step 3: Click Backup/Restore tab on the Options form.

Step 4: Select the database that you want to backup or restore from the database list on the left.

Step 5: Set your choice (backup or restore) on the radio buttons.

Step 6: Press the Browse button to either specify the location where you want to save the backup or to search for a backup to restore the selected database.


Exporting Databases

You can export a database to another location, a web page, a text file, or to a MS Access® file format (.mdb). You can do that from the File menu or from Options. The entire database can be written in HTML format and transformed to a web site automatically. Parent-Child relationships will be conserved. If you want to preview your database in HTML format before exporting, select from File menu Preview In and select In Browser sub menu. To export:

Step 1: Log in to M9P Database™.

Step 2: Select Options from the Tools menu.

Step 3: Click Export tab on the Options form.

Step 4: Select the database that you want to export from the database list on the left.

Step 5: Set your choice on the radio buttons.

Step 6: Press the Browse button to specify the location where you want to save the exported database.

(Note: The original database will remain the same, only a copy of it will be exported)


Contact us:

You can ask for support through:

Web Support

Email Support

Phone Support: 00961 3 947845

m9P Database™ ©mental9Production, 2004.